rubygem-attr_required-1.0.1.txz


Advertisement

Description

rubygem-attr_required - Ruby implementations of attr_required and attr_optional

Property Value
Distribution FreeBSD 12
Repository FreeBSD Ports Quarterly i386
Package filename rubygem-attr_required-1.0.1.txz
Package name rubygem-attr_required
Package version 1.0.1
Package release -
Package architecture i386
Package type txz
Category devel rubygems
Homepage https://github.com/nov/attr_required
License MIT
Maintainer ruby@FreeBSD.org
Download size 5.40 KB
Installed size 17.88 KB
This gem provides implementations of attr_required and attr_optional
(like attr_accessor) for Ruby.
This can help RFC library developers to define which attributes
are REQUIRED and which are OPTIONAL.
WWW: https://github.com/nov/attr_required

Alternatives

Package Version Architecture Repository
rubygem-attr_required-1.0.1.txz 1.0.1 amd64 FreeBSD Ports Quarterly
rubygem-attr_required-1.0.1.txz 1.0.1 amd64 FreeBSD Ports Latest
rubygem-attr_required-1.0.1.txz 1.0.1 i386 FreeBSD Ports Latest
rubygem-attr_required - - -

Requires

Name Value
ruby = 2.4.5_1,1
ruby24-gems = 3.0.3

Download

Type URL
Mirror pkg.freebsd.org
Binary Package rubygem-attr_required-1.0.1.txz
Source Package devel/rubygem-attr_required

Install Howto

Install rubygem-attr_required txz package:

# pkg install rubygem-attr_required

See Also

Package Description
rubygem-authlogic-4.4.2.txz Clean, simple, and unobtrusive Ruby authentication solution
rubygem-autoprefixer-rails-9.6.1.txz Parse CSS and add vendor prefixes to CSS rules
rubygem-av-0.9.0_1.txz Programmable Ruby interface for FFMPEG/Libav
rubygem-avro-1.9.1.txz Ruby library for Apache Avro
rubygem-awesome_nested_set-3.1.4.txz Nested set implementation for Active Record
rubygem-awesome_print-1.8.0.txz Pretty print Ruby objects to visualize their structure
rubygem-aws-eventstream-1.0.3.txz Amazon Web Services event stream library
rubygem-aws-partitions-1.218.0.txz Provides interfaces to enumerate AWS partitions, regions, and services
rubygem-aws-s3-0.6.3.txz Client library for Amazon S3 REST API
rubygem-aws-sdk-3.0.1.txz AWS SDK for Ruby
rubygem-aws-sdk-acm-1.25.0.txz Official AWS Ruby gem for AWS Certificate Manager (ACM)
rubygem-aws-sdk-acmpca-1.20.0.txz Official AWS Ruby gem for AWS Certificate Manager Private Certificate Authority (ACM-PCA)
rubygem-aws-sdk-alexaforbusiness-1.30.0.txz Official AWS Ruby gem for Alexa For Business
rubygem-aws-sdk-amplify-1.11.0.txz Official AWS Ruby gem for AWS Amplify (Amplify)
rubygem-aws-sdk-apigateway-1.35.0.txz Official AWS Ruby gem for Amazon API Gateway
Advertisement
Advertisement